import requests
from starlette.requests import Request
from typing import Dict

from ray import serve
import ray

# 1: Define a Ray Serve application.
@serve.deployment
class MyModelDeployment:
    def __init__(self, msg: str):
        # Initialize model state: could be very large neural net weights.
        self._msg = msg

    def __call__(self, request: Request) -> Dict:
        return {"result": self._msg}

#ray.init('ray://192.168.1.13:10001')
app = MyModelDeployment.options(route_prefix='/app1').bind(msg="Hello world!")

# 2: Deploy the application locally.
#serve.start(http_options={'host':'0.0.0.0'})
#serve.run(app, route_prefix="/")

# 3: Query the application and print the result.
#print(requests.get("http://192.168.1.13:8000/").json())
# {'result': 'Hello world!'}
